Test::ind Class Reference

Simple class for describing identation. More...

`#include <test.hh>`

## Public Member Functions

| ind (int i)
| Indent by level i.

## Public Attributes

int | l
| Which indentation level.

## Related Symbols

(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &os, const Test::ind &i)
| Print indentation.

## Detailed Description

Simple class for describing identation.

Definition at line 66 of file test.hh.

## Constructor & Destructor Documentation

## ind()

Test::ind::ind | ( | int | i | ) |

inline

Indent by level i.

Definition at line 71 of file test.hh.

## Friends And Related Symbol Documentation

## operator<<()

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Test::ind & | i )

related

Print indentation.

Definition at line 283 of file test.cpp.

## Member Data Documentation

## l

int Test::ind::l

Which indentation level.

Definition at line 69 of file test.hh.

The documentation for this class was generated from the following file:

- test/test.hh